/*
 * Copyright (c) 2000 Dave Jones <dave@powertweak.com>
 *
 * Can be freely distributed and used under the terms of the GNU GPL.
 */

#include <gtk/gtk.h>

#define node_EMPTY			0
#define node_CPU			1
#define node_PCI			2
#define node_PROC_FILESYS	3
#define node_PROC_NETWORK	4
#define node_PROC_VM		5

#define node_PROC_XML		99

#define NUM_FS_NODES 1
#define PROC_FS_CORE 0

#define NUM_NETWORKING_NODES 4
#define PROC_NET_CORE	0
#define PROC_NET_ICMP	1
#define PROC_NET_TCP	2
#define PROC_NET_IP		3

#define NUM_VM_NODES			5
#define PROC_VM_BDFLUSH			0
#define PROC_VM_BUFFERMEM		1
#define PROC_VM_FREEPAGES		2
#define PROC_VM_SWAPPING		3
#define PROC_VM_PAGETABLECACHE	4

struct treenode
{
	int node_type;
};


struct PROC_treenode
{
	int node_type;
	int node_submenu;
	void* node_xmlmenu;
};

void free_dataptr (gpointer data);
